diff -urp user_import_orig/user_import.module user_import/user_import.module
--- user_import_orig/user_import.module	2008-05-15 15:16:31.000000000 +0200
+++ user_import/user_import.module	2008-06-18 15:56:24.000000000 +0200
@@ -1465,12 +1481,12 @@ function user_import_usernames_invalid($
 function _user_import_file_deletion($filepath, $filename, $old_filename, $message = TRUE) {
 
     $removed = file_delete($filepath);
-    
+
     if (!$message) return;
-    
+
     if (empty($removed)) {
-        drupal_set_message(t("File error: file '%old_filename' (%filename) could not be deleted.", array('%old_filename' => $oldfilename, '%filename' => $filename)), 'error');
-    } 
+        drupal_set_message(t("File error: file '%old_filename' (%filename) could not be deleted.", array('%old_filename' => $old_filename, '%filename' => $filename)), 'error');
+    }
     else {
         drupal_set_message(t("File '%old_filename' was deleted.", array('%old_filename' => $old_filename)));
     }
@@ -1486,7 +1502,7 @@ function _user_import_initialise_import(
         case 'imported':
             drupal_set_message(t('File has already been imported'), 'error');
             break;
-       
+
         // add setting template values to new import settings
         case 'file set':
             if (empty($import['template_id'])) return $import;
@@ -1498,7 +1514,7 @@ function _user_import_initialise_import(
             $template['started'] = 0;
             $template['setting'] = 'file set';
             return $template;
-            
+
         case 'test':
         case 'tested':
             $import['setting'] = 'import';
@@ -1510,7 +1526,7 @@ function _user_import_initialise_import(
             _user_import_settings_save($import);
             _user_import_process($import);
             break;
-            
+
         case 'template':
             unset($import['filename']);
             unset($import['oldfilename']);
@@ -1521,13 +1537,13 @@ function _user_import_initialise_import(
             $import['valid'] = 0;
             _user_import_settings_save($import);
             break;
-            
+
         default:
             _user_import_process($import);
             drupal_set_message(t('Imported'));
             break;
     }
-    
+
     return;
 }
 
@@ -1537,79 +1553,78 @@ function _user_import_errors_display_del
     return;
 }
 
-/*
-// File being used
-// $import_id - use file info stored in database
-// $ftp_file - chosen from FTP uploaded files
-// $uploaded_file - uploaded through browser
-*/
-function _user_import_file($import_id = NULL, $ftp_file_selected = NULL) { 
-
-    static $file;
-    if ( !empty($file) ) return $file;
-    
-    // file was uploaded through browser
-    $file = file_check_upload('file_upload');
-    if ( !empty($file) ) return $file;
-    
-    // file was uploaded by FTP
-    if ( !empty($ftp_file_selected) ) { 
-    
-        $ftp_files = _user_import_ftp_files();
-        $filepath = drupal_get_path('module', 'user_import');
-        $filename = $ftp_files[$ftp_file_selected];
-        $file->filepath = "$filepath/$filename";
-        $file->filename = $filename;
-        return $file;
-    }
-    
-   // use file info stored in database
-   if (!empty($import_id)) {
-        $import = _user_import_settings_select($import_id);
-        $file->filepath = $import['filepath'];
-        $file->oldfilename = $import['oldfilename'];
-        $file->filename = $import['filename'];
-        return $file;
-   }
-    
-    return;   
+/**
+ * File being used
+ * $import_id - use file info stored in database
+ * $ftp_file - chosen from FTP uploaded files
+ * $uploaded_file - uploaded through browser
+ */
+
+function _user_import_file($import_id = NULL, $ftp_file_selected = NULL) {
+
+  static $file;
+  if ( !empty($file) ) return $file;
+
+  // file was uploaded through browser
+  $file = file_save_upload('file_upload', array());
+  if ( !empty($file) ) return $file;
+
+  // file was uploaded by FTP
+  if ( !empty($ftp_file_selected) ) {
+    $ftp_files = _user_import_ftp_files();
+    $filepath = drupal_get_path('module', 'user_import');
+    $filename = $ftp_files[$ftp_file_selected];
+    $file = new stdClass();
+    $file->filepath = "$filepath/$filename";
+    $file->filename = $filename;
+    return $file;
+  }
+
+  // use file info stored in database
+  if (!empty($import_id)) {
+    $import = _user_import_settings_select($import_id);
+    $file->filepath = $import['filepath'];
+    $file->oldfilename = $import['oldfilename'];
+    $file->filename = $import['filename'];
+    return $file;
+  }
+
+  return;
 }
 
 // open file
 function _user_import_file_open($filepath, $filename) {
-    
-    static $handle;
-    if (!empty($handle)) return $handle;
-    
-    $handle = @fopen($filepath, "r");
-                        
-    if (!$handle) {
-        form_set_error('file', t("Could not find the csv file '%filename'", array('%filename' => $filename)), 'error');
-        return t("Please add your file again.");
-    }
-    return $handle;
+  static $handle;
+  if (!empty($handle)) return $handle;
+
+  $handle = @fopen($filepath, "r");
+
+  if (!$handle) {
+    form_set_error('file', t("Could not find the csv file '%filename'", array('%filename' => $filename)), 'error');
+    return t("Please add your file again.");
+  }
+  return $handle;
 }
 
 // get first row of file
 function _user_import_file_row($filename, $handle) {
-    
-    $data_row = @fgetcsv ($handle, 1000000, ",");
-    if (!$data_row) {
-        form_set_error('file', t("Could not get data, the file '%filename' is either empty or has incompatible line endings.", array('%filename' => $filename)), 'error');
-    }
-    return $data_row;
+  $data_row = @fgetcsv ($handle, 1000000, ",");
+  if (!$data_row) {
+    form_set_error('file', t("Could not get data, the file '%filename' is either empty or has incompatible line endings.", array('%filename' => $filename)), 'error');
+  }
+  return $data_row;
 }
 
 // get info on files  uploaded via FTP
 function _user_import_ftp_files() {
-  
+
   $directory = opendir( drupal_get_path('module', 'user_import') );
   $filenames[] = t('none');
-  
+
   while ($file = readdir($directory)) {
     if ($file != '.' && $file != '..' && $file != '.DS_Store' && $file != 'CVS' && $file != '.svn' && $file != 'README.txt' && $file != 'UPDATES.txt' && $file != 'user_import.module' && $file != 'user_import.mysql' && $file != 'user_import.install' && $file != 'user_import.info' && $file != 'supported') $filenames[] = $file;
   }
-  
+
   closedir($directory);
   return $filenames;
 }
@@ -1617,33 +1632,30 @@ function _user_import_ftp_files() {
 // delete incomplete import settings, where only the file has been uploaded
 function  _user_import_incomplete_deletion() {
 
-    $results =db_query("SELECT * FROM {user_import} WHERE setting = 'file set'");
-    
-    while ($import = db_fetch_object($results)) {
-    
-        _user_import_file_deletion($import->filepath, $import->filename, $import->oldfilename, FALSE);
-        _user_import_settings_deletion($import->import_id);
-    }
-    
-    return;
+  $results =db_query("SELECT * FROM {user_import} WHERE setting = 'file set'");
+
+  while ($import = db_fetch_object($results)) {
+    _user_import_file_deletion($import->filepath, $import->filename, $import->oldfilename, FALSE);
+    _user_import_settings_deletion($import->import_id);
+  }
+
+  return;
 }
 
 // get info of existing groups
 function user_import_get_groups() {
+  $og_type = variable_get('og_node_types', array('og'));
 
-    $og_type = variable_get('og_node_types', array('og'));
+  $results = db_query("SELECT
+                     n.nid, n.title FROM {node} n INNER JOIN {og} og ON n.nid = og.nid
+                     WHERE n.status = 1 AND n.type IN ('%s')
+                     ORDER BY n.title", $og_type);
 
-     $results = db_query("SELECT 
-                     n.nid, n.title FROM {node} n INNER JOIN {og} og ON n.nid = og.nid 
-                     WHERE n.status = 1 AND n.type IN ('%s')  
-                     ORDER BY n.title", $og_type);           
-                
-    while ($group = db_fetch_object($results)) {
-    
-      $groups[$group->nid] = $group->title;
-    }
-    
-    return $groups;
+  while ($group = db_fetch_object($results)) {
+    $groups[$group->nid] = $group->title;
+  }
+
+  return $groups;
 }
 
 /*
@@ -1654,33 +1666,33 @@ CRUFT ??
 function _user_import_organic_groups($groups_selected, $uid) {
 
     if (!module_exists('og')) return;
-     
+
     $organic_groups = user_import_get_groups();
     if(empty($organic_groups)) return;
-    
+
     $og_args = array('is_active' => 1, 'is_admin' => 0, 'mail_type' => 0, 'created' => time());
 
     while(list($gid, $title) = each($organic_groups)) {
-    
+
         if (!empty($groups_selected[$gid])) og_save_subscription($gid, $uid, $og_args);
     }
-    
+
     return;
 }
 
 
-*/
+ */
 
 
 function user_import_profile_string($prefix = ',') {
 
-    if (!module_exists('profile')) return;
-    
-    $profile_fields = _user_import_profile('fid', 'name');
-    
-    if (!empty($profile_fields)) $profile_string = ', !' . implode($prefix .' !', $profile_fields);
+  if (!module_exists('profile')) return;
+
+  $profile_fields = _user_import_profile('fid', 'name');
 
-    return $profile_string;
+  if (!empty($profile_fields)) $profile_string = ', !'. implode($prefix .' !', $profile_fields);
+
+  return $profile_string;
 }
 
 function user_import_profile_load($user) {
@@ -1688,14 +1700,14 @@ function user_import_profile_load($user)
   $result = db_query('SELECT f.name, f.type, f.fid, v.value FROM {profile_fields} f INNER JOIN {profile_values} v ON f.fid = v.fid WHERE uid = %d', $user->uid);
 
   while ($field = db_fetch_object($result)) {
-  
+
     if (empty($profile[$field->fid])) {
-      
+
       $profile[$field->fid] = _profile_field_serialize($field->type) ? unserialize($field->value) : $field->value;
     }
-    
+
   }
-  
+
   return $profile;
 }
 
@@ -1703,7 +1715,7 @@ function _user_import_unconcatenate_fiel
 
   $settings_updated = array();
   foreach ($settings as $column_id => $values) {
-    
+
     if (!empty($values['field_match']) || !empty($values['username'])) {
       // If we have a username but no field_match, set a special type.
       // This allows us to skip saving the field but still use it in
@@ -1721,7 +1733,7 @@ function _user_import_unconcatenate_fiel
       $settings_updated[$column_id] = $values;
     }
   }
-  
+
   return $settings_updated;
 }
 
@@ -1731,7 +1743,7 @@ function _user_import_unconcatenate_fiel
 function _user_import_existing_uid($email) {
   static $uid;
   if (!isset($uid[$email])) {
-    $uid[$email] = db_result(db_query("SELECT uid from {users} where mail= '%s' LIMIT 1", $email));
+    $uid[$email] = db_result(db_query_range("SELECT uid from {users} where mail= '%s'", $email, 0, 1));
   }
   return $uid[$email];
 }
@@ -1742,7 +1754,7 @@ function _user_import_existing_uid($emai
 function user_import_load_supported() {
   static $loaded = FALSE;
   if (!$loaded) {
-    $path = drupal_get_path('module', 'user_import') . '/supported';
+    $path = drupal_get_path('module', 'user_import') .'/supported';
     $files = drupal_system_listing('.*\.inc$', $path, 'name', 0);
     foreach ($files as $module_name => $file) {
       if (module_exists($module_name)) {
@@ -1752,8 +1764,3 @@ function user_import_load_supported() {
     $loaded = TRUE;
   }
 }
-
-
-
-
-
